Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.network
Class NetworkNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              org.jboss.remoting.network.NetworkNotification

All Implemented Interfaces:
  Serializable

public class NetworkNotification
extends javax.management.Notification

NetworkNotification is a JMX Notification that is sent when changes occur to the network layout as tracked by a NetworkRegistryMBean.

Version:
  $Revision: 1.2 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Field Summary
`static String` | `DOMAIN_CHANGED`
`static String` | `SERVER_ADDED`
`static String` | `SERVER_REMOVED`
`static String` | `SERVER_UPDATED`

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`NetworkNotification(javax.management.ObjectName source, String type, Identity identity, InvokerLocator[] invokers)`

Method Summary
`Identity` | `getIdentity()` return the identity of the notification
`InvokerLocator[]` | `getLocator()` return the locators affected by the notification

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVER_ADDED

    public static final String SERVER_ADDED

See Also:
  Constant Field Values

### SERVER_UPDATED

    public static final String SERVER_UPDATED

See Also:
  Constant Field Values

### SERVER_REMOVED

    public static final String SERVER_REMOVED

See Also:
  Constant Field Values

### DOMAIN_CHANGED

    public static final String DOMAIN_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### NetworkNotification

    public NetworkNotification(javax.management.ObjectName source,
                               String type,
                               Identity identity,
                               InvokerLocator[] invokers)

Method Detail

### getIdentity

    public final Identity getIdentity()

  return the identity of the notification

  Returns:

### getLocator

    public final InvokerLocator[] getLocator()

  return the locators affected by the notification

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.